package ext.data {

[Uses("ext.data.Store")]
[Uses("ext.data.ProxyStore")]
[Uses("ext.data.AbstractStore")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Uses("ext.mixin.Observable")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.data.LocalStore")]
[Native("Ext.data.DirectStore", require)]
/**
 * Small helper class to create an <code>ext.data.Store</code> configured with an <code>ext.data.proxy.DirectProxy</code>
 * and <code>ext.data.reader.JsonReader</code> to make interacting with an <code>ext.direct.SDirectManager</code> server-side
 * <code>ext.direct.Provider</code> easier. To create a different proxy/reader combination create a basic
 * <code>ext.data.Store</code> configured as needed.
 * <p><b>Note:</b> Although they are not listed, this class inherits all of the config options of:</p>
 * <ul>
 * <li>
 * <p><b><code>ext.data.Store</code></b></p>
 * </li>
 * <li>
 * <p><b><code>ext.data.reader.JsonReader</code></b></p>
 * <ul>
 * <li><b><code>rootProperty</code></b></li>
 * <li><b><code>totalProperty</code></b></li>
 * </ul>
 * </li>
 * <li>
 * <p><b><code>ext.data.proxy.DirectProxy</code></b></p>
 * <ul>
 * <li><b><code>directFn</code></b></li>
 * <li><b><code>paramOrder</code></b></li>
 * <li><b><code>paramsAsHash</code></b></li>
 * </ul>
 * </li>
 * </ul>
 * @see ext.data.Store
 * @see ext.data.proxy.DirectProxy
 * @see ext.data.reader.JsonReader
 * @see ext.direct.SDirectManager
 * @see ext.direct.Provider
 * @see ext.data.reader.JsonReader#rootProperty
 * @see ext.data.reader.JsonReader#totalProperty
 * @see ext.data.proxy.DirectProxy#directFn
 * @see ext.data.proxy.DirectProxy#paramOrder
 * @see ext.data.proxy.DirectProxy#paramsAsHash
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.DirectStore.html Original Ext JS documentation of 'Ext.data.DirectStore'
 */
public class DirectStore extends ext.data.Store {
  /**
   * @param config @inheritDoc
   */
  public function DirectStore(config:ext.data.DirectStore = null) {
    super();
  }
}
}