package ext.data.field {

[Uses("ext.data.field.DataField")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Native("Ext.data.field.Boolean", require)]
/**
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.field.Boolean.html Original Ext JS documentation of 'Ext.data.field.Boolean'
 */
public class BooleanField extends ext.data.field.DataField {
  /**
   * @param config @inheritDoc
   */
  public function BooleanField(config:ext.data.field.BooleanField = null) {
    super();
  }

  /**
   * Values matching this regular expression are considered <code>true</code>.
   * @default /^\s*(?:true|yes|on|1)\s*$/i
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.field.Boolean.html#property-trueRe Original Ext JS documentation of 'trueRe'
   */
  public native function get trueRe():*;

  /**
   * @private
   */
  public native function set trueRe(value:*):void;
}
}