package ext.data.operation {

[Uses("ext.data.operation.Operation")]
[Uses("ext.Base")]
[Native("Ext.data.operation.Destroy", require)]
/**
 * Enacapsulates a destroy operation as performed by a <code>ext.data.proxy.DataProxy</code>.
 * <p>This class is instantiated by <code>ext.data.Store</code> and <code>ext.data.Model</code> and should
 * not need to be instantiated in user code.</p>
 * @see ext.data.proxy.DataProxy
 * @see ext.data.Store
 * @see ext.data.Model
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.operation.Destroy.html Original Ext JS documentation of 'Ext.data.operation.Destroy'
 */
public class DestroyOperation extends ext.data.operation.Operation {
  /**
   * @param config @inheritDoc
   */
  public function DestroyOperation(config:ext.data.operation.DestroyOperation = null) {
    super();
  }
}
}