package ext.data.validator {

[Uses("ext.data.validator.ListValidator")]
[Uses("ext.data.validator.Validator")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Native("Ext.data.validator.Exclusion", require)]
/**
 * Validates that the value does not exist in a <code>list</code> of values.
 * @see #list
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.validator.Exclusion.html Original Ext JS documentation of 'Ext.data.validator.Exclusion'
 */
public class ExclusionValidator extends ext.data.validator.ListValidator {
  /**
   * @param config @inheritDoc
   */
  public function ExclusionValidator(config:ext.data.validator.ExclusionValidator = null) {
    super();
  }

  [ExtConfig]
  [Bindable(event = "DUMMY")]
  /**
   * The error message to return when the passed value exists in the
   * specified <code>list</code>.
   * @default 'Is a value that has been excluded'
   * @see #list
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.data.validator.Exclusion.html#cfg-message Original Ext JS documentation of 'message'
   * @see #getMessage()
   * @see #setMessage()
   */
  public native function get message():String;

  [ExtConfig]
  [Bindable(event = "DUMMY")]
  /**
   * @private
   */
  public native function set message(value:String):void;

  /**
   * Returns the value of <code>message</code>.
   * @see #message
   */
  public native function getMessage():String;

  /**
   * Sets the value of <code>message</code>.
   * @param message The new value.
   * @see #message
   */
  public native function setMessage(message:String):void;
}
}