package ext.form.field {

[Uses("ext.form.field.TextField")]
[Uses("ext.form.field.BaseField")]
[Uses("ext.form.Labelable")]
[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Uses("ext.form.field.Field")]
[Deprecated(replacement = "ext.form.field.TextField", since = "5.0")]
[Native("Ext.form.field.Trigger", require)]
/**
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.field.Trigger.html Original Ext JS documentation of 'Ext.form.field.Trigger'
 */
public class TriggerField extends ext.form.field.TextField {
  /**
   * @param config @inheritDoc
   */
  public function TriggerField(config:ext.form.field.TriggerField = null) {
    super();
  }

  [ExtConfig]
  /**
   * An additional CSS class used to style the trigger button. The trigger will always get the <code>ext.form.trigger.Trigger#baseCls</code>
   * by default and triggerCls will be <b>appended</b> if specified.
   * @default Ext.baseCSSPrefix + 'form-arrow-trigger'
   * @see ext.form.trigger.Trigger#baseCls
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.field.Trigger.html#cfg-triggerCls Original Ext JS documentation of 'triggerCls'
   */
  public native function get triggerCls():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set triggerCls(value:String):void;
}
}