package ext.form.field.events {
import ext.form.field.HtmlEditor;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HtmlEditorEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the editor is first receives the focus. Any insertion must wait until after this event.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.field.HtmlEditor.html#event-activate Original Ext JS documentation of 'activate'
   * @see ext.form.field.HtmlEditor
   * @eventType onActivate
   */
  public static const ACTIVATE:String = "onActivate";

  /**
   * Fires when the editor is fully initialized (including the iframe)
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.form.field.HtmlEditor.html#event-initialize Original Ext JS documentation of 'initialize'
   * @see ext.form.field.HtmlEditor
   * @eventType onInitialize
   */
  public static const INITIALIZE:String = "onInitialize";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function HtmlEditorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.HtmlEditor;
}
}