package ext.grid.filters.filter.events {
import ext.grid.filters.Filters;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class BaseFilterEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when an inactive filter becomes active
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.filters.filter.Base.html#event-activate Original Ext JS documentation of 'activate'
   * @see ext.grid.filters.filter.BaseFilter
   * @eventType onActivate
   */
  public static const ACTIVATE:String = "onActivate";

  /**
   * Fires when an active filter becomes inactive
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.filters.filter.Base.html#event-deactivate Original Ext JS documentation of 'deactivate'
   * @see ext.grid.filters.filter.BaseFilter
   * @eventType onDeactivate
   */
  public static const DEACTIVATE:String = "onDeactivate";

  /**
   * Fires when a filter configuration has changed
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.filters.filter.Base.html#event-update Original Ext JS documentation of 'update'
   * @see ext.grid.filters.filter.BaseFilter
   * @eventType onUpdate
   */
  public static const UPDATE:String = "onUpdate";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function BaseFilterEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.grid.filters.Filters;
}
}