package ext.layout.component {
import ext.dom.Element;
import ext.layout.Layout;

[Uses("ext.layout.Layout")]
[Uses("ext.mixin.Factoryable")]
[Uses("ext.Base")]
[Native("Ext.layout.component.Component", require)]
[ExcludeClass]
/**
 * This class is intended to be extended or created via the <code>layout</code>
 * configuration property. See <code>ext.Component#componentLayout</code> for additional details.
 * @see ext.Component#componentLayout
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.layout.component.Component.html Original Ext JS documentation of 'Ext.layout.component.Component'
 */
public class ComponentLayout extends ext.layout.Layout {
  /**
   * @inheritDoc
   */
  public function ComponentLayout(config:ext.layout.Layout = null) {
    super();
  }

  /**
   * Returns the element into which rendering must take place. Defaults to the owner Component's encapsulating element.
   * <p>May be overridden in Component layout managers which implement an inner element.</p>
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.layout.component.Component.html#method-getRenderTarget Original Ext JS documentation of 'getRenderTarget'
   */
  public native function getRenderTarget():ext.dom.Element;

  /**
   * Returns the owner component's resize element.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.layout.component.Component.html#method-getTarget Original Ext JS documentation of 'getTarget'
   */
  public native function getTarget():ext.dom.Element;
}
}