package ext.list {

[Uses("ext.list.AbstractTreeItem")]
[Uses("ext.Widget")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Uses("ext.Evented")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.mixin.Pluggable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.mixin.Bindable")]
[Native("Ext.list.RootTreeItem", require)]
/**
 * This class implements the top-level node in a <code>ext.list.Tree</code>. Unlike
 * other nodes, this item is only a container for other items. It does not correspond to
 * a data record.
 * @see ext.list.Tree
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.list.RootTreeItem.html Original Ext JS documentation of 'Ext.list.RootTreeItem'
 */
public class RootTreeItem extends ext.list.AbstractTreeItem {
  /**
   * @inheritDoc
   */
  public function RootTreeItem(config:ext.list.AbstractTreeItem = null) {
    super();
  }

  /**
   * This property is <code>true</code> to allow type checking for this or derived class.
   * @default true
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.list.RootTreeItem.html#property-isRootListItem Original Ext JS documentation of 'isRootListItem'
   */
  public native function get isRootListItem():Boolean;
}
}