package ext.menu {

[Uses("ext.menu.Menu")]
[Uses("ext.util.FocusableContainer")]
[Uses("ext.Mixin")]
[Uses("ext.Base")]
[Uses("ext.panel.Panel")]
[Uses("ext.container.DockingContainer")]
[Uses("ext.container.Container")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Uses("ext.mixin.Container")]
[Native("Ext.menu.Bar", require)]
/**
 * Horizontal Menu bar widget, a specialized version of the <code>ext.menu.Menu</code>.
 * <p><b>Example:</b></p>
 * <pre>
 *  new Ext.menu.Bar({
 *      renderTo: Ext.getBody(),
 *      width: 200,
 *      items: [{
 *          text: 'File',
 *          menu: [
 *              { text: 'Open...' },
 *              '-',
 *              { text: 'Close' }
 *          ]
 *      }, {
 *          text: 'Edit',
 *          menu: [
 *              { text: 'Cut' },
 *              { text: 'Copy' }
 *              { text: 'Paste' }
 *          ]
 *      }]
 *  });
 * </pre>
 * @see ext.menu.Menu
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.menu.Bar.html Original Ext JS documentation of 'Ext.menu.Bar'
 */
public class MenuBar extends ext.menu.Menu {
  /**
   * @inheritDoc
   */
  public function MenuBar(config:ext.menu.Menu = null) {
    super();
  }

  [ExtConfig]
  /**
   * The default <code>ext.menu.Item#menuAlign</code> config
   * for direct child items of this Menu bar.
   * @default 'tl-bl?'
   * @see ext.menu.Item#menuAlign
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.menu.Bar.html#cfg-defaultMenuAlign Original Ext JS documentation of 'defaultMenuAlign'
   */
  public native function get defaultMenuAlign():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set defaultMenuAlign(value:String):void;
}
}