package ext.mixin {

[Uses("ext.mixin.Identifiable")]
[Mixin("ext.mixin.Identifiable")]
/**
 * An Identifiable mixin.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.Identifiable.html Original Ext JS documentation of 'Ext.mixin.Identifiable'
 * @see ext.mixin.Identifiable
 */
public interface IIdentifiable {
  /**
   * Retrieves the id of this component. Will autogenerate an id if one has not already been set.
   * @return id
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.Identifiable.html#method-getId Original Ext JS documentation of 'getId'
   */
  function getId():String;
}
}