package ext.mixin {
import ext.IMixin;

[Uses("ext.Mixin")]
[Uses("ext.mixin.Mashup")]
[Uses("ext.Base")]
[Mixin("ext.mixin.Mashup")]
/**
 * This mixin allows users to easily require external scripts in their classes. This load
 * process delays application launch (<code>Ext.onReady</code>) until all such scripts are loaded
 * ensuring that your class will have access to its required scripts from the start.
 * <p>For example:</p>
 * <pre>
 *  Ext.define('Feed', {
 *      mixins: ['Ext.mixin.Mashup'],
 *
 *      requiredScripts: [
 *          'http://www.foo.com/code/bar.js'
 *      ],
 *
 *      // The code in "bar.js" will be available at application launch
 *  });
 * </pre>
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.Mashup.html Original Ext JS documentation of 'Ext.mixin.Mashup'
 * @see ext.mixin.Mashup
 */
public interface IMashup extends ext.IMixin {}
}