package ext.mixin {
import ext.Base;

[Uses("ext.Base")]
[Native("Ext.mixin.Identifiable", require)]
[ExcludeClass]
/**
 * An Identifiable mixin.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.Identifiable.html Original Ext JS documentation of 'Ext.mixin.Identifiable'
 */
public class Identifiable extends ext.Base implements ext.mixin.IIdentifiable {
  /**
   * Retrieves the id of this component. Will autogenerate an id if one has not already been set.
   * @return id
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.mixin.Identifiable.html#method-getId Original Ext JS documentation of 'getId'
   */
  public native function getId():String;
}
}