package ext.panel.events {
import ext.panel.TablePanel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanelEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-beforeitemkeypress Original Ext JS documentation of 'beforeitemkeypress'
   * @see ext.panel.TablePanel
   * @eventType onBeforeItemKeypress
   */
  public static const BEFORE_ITEM_KEYPRESS:String = "onBeforeItemKeypress";

  /**
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-beforeitemkeydown Original Ext JS documentation of 'beforeitemkeydown'
   * @see ext.panel.TablePanel
   * @eventType onBeforeItemKeyDown
   */
  public static const BEFORE_ITEM_KEY_DOWN:String = "onBeforeItemKeyDown";

  /**
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-beforeitemkeyup Original Ext JS documentation of 'beforeitemkeyup'
   * @see ext.panel.TablePanel
   * @eventType onBeforeItemKeyUp
   */
  public static const BEFORE_ITEM_KEY_UP:String = "onBeforeItemKeyUp";

  /**
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-itemkeypress Original Ext JS documentation of 'itemkeypress'
   * @see ext.panel.TablePanel
   * @eventType onItemKeypress
   */
  public static const ITEM_KEYPRESS:String = "onItemKeypress";

  /**
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-itemkeydown Original Ext JS documentation of 'itemkeydown'
   * @see ext.panel.TablePanel
   * @eventType onItemKeyDown
   */
  public static const ITEM_KEY_DOWN:String = "onItemKeyDown";

  /**
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-itemkeyup Original Ext JS documentation of 'itemkeyup'
   * @see ext.panel.TablePanel
   * @eventType onItemKeyUp
   */
  public static const ITEM_KEY_UP:String = "onItemKeyUp";

  /**
   * Fires when the grid view is available (use this for selecting a default row).
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.grid.locking.Lockable.html#event-viewready Original Ext JS documentation of 'viewready'
   * @see ext.panel.TablePanel
   * @eventType onViewReady
   */
  public static const VIEW_READY:String = "onViewReady";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanelEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.panel.TablePanel;
}
}