package ext.panel.events {
import ext.grid.selection.Selection;
import ext.panel.TablePanel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_An_extensionEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * An event fired when an extension block is extended
   * using a drag gesture. Only fired when the SpreadsheetSelectionModel is used and
   * configured with the
   * <code>extensible</code> config.
   * @see ext.grid.selection.SpreadsheetModelSelection#extensible
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-beforeselectionextend Original Ext JS documentation of 'beforeselectionextend'
   * @see ext.panel.TablePanel
   * @eventType onBeforeSelectionExtend
   */
  public static const BEFORE_SELECTION_EXTEND:String = "onBeforeSelectionExtend";

  /**
   * An event fired when an extension block is dragged to
   * encompass a new range. Only fired when the SpreadsheetSelectionModel is used and
   * configured with the
   * <code>extensible</code> config.
   * @see ext.grid.selection.SpreadsheetModelSelection#extensible
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.panel.Table.html#event-selectionextenderdrag Original Ext JS documentation of 'selectionextenderdrag'
   * @see ext.panel.TablePanel
   * @eventType onSelectionExtenderDrag
   */
  public static const SELECTION_EXTENDER_DRAG:String = "onSelectionExtenderDrag";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TablePanel_An_extensionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * object which encapsulates a contiguous selection block.
   */
  public native function get An():ext.grid.selection.Selection;

  /**
   * An object describing the type and size of extension.
   */
  public native function get extension():Object;

  /**
   * The owning grid.
   */
  public native function get grid():ext.panel.TablePanel;
}
}