package ext.scroll.events {
import ext.scroll.Scroller;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Scroller_x_yEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires whenever the Scroller is scrolled.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.scroll.Scroller.html#event-scroll Original Ext JS documentation of 'scroll'
   * @see ext.scroll.Scroller
   * @eventType onScroll
   */
  public static const SCROLL:String = "onScroll";

  /**
   * Fires whenever the scrolling is ended.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.scroll.Scroller.html#event-scrollend Original Ext JS documentation of 'scrollend'
   * @see ext.scroll.Scroller
   * @eventType onScrollEnd
   */
  public static const SCROLL_END:String = "onScrollEnd";

  /**
   * Fires whenever the scrolling is started.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.scroll.Scroller.html#event-scrollstart Original Ext JS documentation of 'scrollstart'
   * @see ext.scroll.Scroller
   * @eventType onScrollStart
   */
  public static const SCROLL_START:String = "onScrollStart";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function Scroller_x_yEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.scroll.Scroller;

  /**
   * The new x position.
   */
  public native function get x():Number;

  /**
   * The new y position.
   */
  public native function get y():Number;
}
}