package ext.slider.events {
import ext.Base;
import ext.slider.MultiSlider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class MultiSlider_newValue_thumbEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * Fires when the slider value is changed.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.slider.Multi.html#event-change Original Ext JS documentation of 'change'
   * @see ext.slider.MultiSlider
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  /**
   * Fires when the slider value is changed by the user and any drag operations have completed.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.slider.Multi.html#event-changecomplete Original Ext JS documentation of 'changecomplete'
   * @see ext.slider.MultiSlider
   * @eventType onChangeComplete
   */
  public static const CHANGE_COMPLETE:String = "onChangeComplete";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function MultiSlider_newValue_thumbEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The new value which the slider has been changed to.
   */
  public native function get newValue():Number;

  /**
   * The slider
   */
  public native function get slider():ext.slider.MultiSlider;

  /**
   * The thumb that was changed
   */
  public native function get thumb():ext.Base;
}
}