package ext.toolbar {
import ext.Component;

[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.Base")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Native("Ext.toolbar.Item", require)]
/**
 * The base class that other non-interacting Toolbar Item classes should extend in order to
 * get some basic common toolbar item functionality.
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.toolbar.Item.html Original Ext JS documentation of 'Ext.toolbar.Item'
 */
public class Item extends ext.Component {
  /**
   * @param config @inheritDoc
   */
  public function Item(config:ext.toolbar.Item = null) {
    super();
  }

  [ExtConfig]
  /**
   * Text to be used for the menu if the item is overflowed.
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.toolbar.Item.html#cfg-overflowText Original Ext JS documentation of 'overflowText'
   */
  public native function get overflowText():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set overflowText(value:String):void;
}
}