package ext.toolbar {

[Uses("ext.toolbar.Item")]
[Uses("ext.Component")]
[Uses("ext.util.Animate")]
[Uses("ext.Base")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Focusable")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Positionable")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Observable")]
[Uses("ext.mixin.Identifiable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.util.Renderable")]
[Uses("ext.util.Floating")]
[Native("Ext.toolbar.Separator", require)]
/**
 * A simple class that adds a vertical separator bar between toolbar items (css class: 'x-toolbar-separator').
 * <p><b>Example:</b></p>
 * <pre>
 * Ext.create('Ext.panel.Panel', {
 *     title: 'Toolbar Separator Example',
 *     width: 300,
 *     height: 200,
 *     tbar : [
 *         'Item 1',
 *         { xtype: 'tbseparator' },
 *         'Item 2'
 *     ],
 *     renderTo: Ext.getBody()
 * });
 * </pre>
 * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.toolbar.Separator.html Original Ext JS documentation of 'Ext.toolbar.Separator'
 */
public class Separator extends ext.toolbar.Item {
  /**
   * @param config @inheritDoc
   */
  public function Separator(config:ext.toolbar.Separator = null) {
    super();
  }
}
}