package ext.tree.plugin.events {
import ext.data.TreeModel;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent extends net.jangaroo.ext.FlExtEvent {
  /**
   * <b>This event is fired through the <code>ext.tree.TreeView</code> and its owning
   * <code>ext.tree.TreePanel</code>. You can add listeners to the tree or tree <i>view config</i> object</b>
   * <p>Fired when a drop operation has been completed and the data has been moved or
   * copied.</p>
   * @see ext.tree.TreeView
   * @see ext.tree.TreePanel
   * @see ext.tree.TreePanel#viewConfig view config
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.tree.plugin.TreeViewDragDrop.html#event-drop Original Ext JS documentation of 'drop'
   * @see ext.tree.plugin.TreeViewDragDropPlugin
   * @eventType onDrop
   */
  public static const DROP:String = "onDrop";

  public static const __PARAMETER_SEQUENCE__:Array;

  public function TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The data object gathered at mousedown time by the
   * cooperating <code>ext.dd.DragZone</code>'s <code>getDragData</code> method. It contains the following properties:
   * @see ext.dd.DragZone
   * @see ext.dd.DragZone#getDragData()
   */
  public native function get data():Object;

  /**
   * <code>"before"</code> or <code>"after"</code> depending on whether the
   * cursor is above or below the mid-line of the node.
   */
  public native function get dropPosition():String;

  /**
   * The <code>ext.tree.TreeView</code> node <b>if any</b> over
   * which the cursor was positioned.
   * @see ext.tree.TreeView
   */
  public native function get node():js.HTMLElement;

  /**
   * The Model over which the drop gesture took
   * place.
   */
  public native function get overModel():ext.data.TreeModel;
}
}