Ext.define("ext.util.events.Collection_detailsEvent", function(Collection_detailsEvent) {/*package ext.util.events {
import ext.util.Collection;

import net.jangaroo.ext.FlExtEvent;

public class Collection_detailsEvent extends FlExtEvent {
  /**
   * Fires after items have been added to the collection.
   * <p>All <code>add</code> and <code>remove</code> events occur between
   * <code>beginupdate</code> and <code>endupdate</code>
   * events so it is best to do only the minimal amount of work in response to these
   * events and move the more expensive side-effects to an <code>endupdate</code> listener.</p>
   * @since 5.0.0
   * @see ext.util.Collection#event:onAdd
   * @see ext.util.Collection#event:onRemove
   * @see ext.util.Collection#event:onBeginUpdate
   * @see ext.util.Collection#event:onEndUpdate
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.Collection.html#event-add Original Ext JS documentation of 'add'
   * @see ext.util.Collection
   * @eventType onAdd
   * /
  public static const ADD:String = "onAdd";
  /**
   * This event fires before an item change is reflected in the collection. This event
   * is always followed by an <code>itemchange</code> event and, depending on the change, possibly
   * an <code>add</code>, <code>remove</code> and/or <code>updatekey</code> event.
   * @since 5.0.0
   * @see ext.util.Collection#event:onItemChange
   * @see ext.util.Collection#event:onUpdateKey
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.Collection.html#event-beforeitemchange Original Ext JS documentation of 'beforeitemchange'
   * @see ext.util.Collection
   * @eventType onBeforeItemChange
   * /
  public static const BEFORE_ITEM_CHANGE:String = "onBeforeItemChange";
  /**
   * This event fires after an item change is reflected in the collection. This event
   * always follows a <code>beforeitemchange</code> event and its corresponding <code>add</code>, <code>remove</code>
   * and/or <code>updatekey</code> events.
   * @since 5.0.0
   * @see ext.util.Collection#event:onBeforeItemChange
   * @see ext.util.Collection#event:onUpdateKey
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.Collection.html#event-itemchange Original Ext JS documentation of 'itemchange'
   * @see ext.util.Collection
   * @eventType onItemChange
   * /
  public static const ITEM_CHANGE:String = "onItemChange";
  /**
   * Fires after items have been removed from the collection. Some properties of this
   * object may not be present if calculating them is deemed too expensive. These are
   * marked as "optional".
   * <p>All <code>add</code> and <code>remove</code> events occur between
   * <code>beginupdate</code> and <code>endupdate</code>
   * events so it is best to do only the minimal amount of work in response to these
   * events and move the more expensive side-effects to an <code>endupdate</code> listener.</p>
   * @since 5.0.0
   * @see ext.util.Collection#event:onAdd
   * @see ext.util.Collection#event:onRemove
   * @see ext.util.Collection#event:onBeginUpdate
   * @see ext.util.Collection#event:onEndUpdate
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.Collection.html#event-remove Original Ext JS documentation of 'remove'
   * @see ext.util.Collection
   * @eventType onRemove
   * /
  public static const REMOVE:String = "onRemove";
  /**
   * Fires after the key for an item has changed.
   * @since 5.0.0
   * @see https://docs.sencha.com/extjs/6.2.1/classic/Ext.util.Collection.html#event-updatekey Original Ext JS documentation of 'updatekey'
   * @see ext.util.Collection
   * @eventType onUpdateKey
   * /
  public static const UPDATE_KEY:String = "onUpdateKey";
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){Collection_detailsEvent.__PARAMETER_SEQUENCE__=( ["collection", "details", "eOpts"]);}/*;

  public*/ function Collection_detailsEvent$(type/*:String*/, arguments/*:Array*/) {
    this.super$2(type, arguments);
  }/*

  /**
   * The collection being modified.
   * /
  public native function get collection():Collection;

  /**
   * An object describing the addition.
   * /
  public native function get details():Object;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: Collection_detailsEvent$,
      super$2: function() {
        net.jangaroo.ext.FlExtEvent.prototype.constructor.apply(this, arguments);
      },
      statics: {
        ADD: "onAdd",
        BEFORE_ITEM_CHANGE: "onBeforeItemChange",
        ITEM_CHANGE: "onItemChange",
        REMOVE: "onRemove",
        UPDATE_KEY: "onUpdateKey",
        __PARAMETER_SEQUENCE__: undefined,
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
